# BMA Server Framework: core::ConsoleServer Class Reference

core::ConsoleServer Class Reference
Inheritance diagram for core::ConsoleServer:
[legend]
Collaboration diagram for core::ConsoleServer:
[legend]

## Public Member Functions

| ConsoleServer (EPoll &ePoll, std::string url, short int port)
void | sendToConnectedConsoles (std::string out)
void | output (Session *session) override
| Output the consoles array to the console.
Public Member Functions inherited from core::TCPServerSocket
| TCPServerSocket (EPoll &ePoll, std::string url, short int port)
| ~TCPServerSocket ()
void | removeFromSessionList (Session *session)
Public Member Functions inherited from core::TCPSocket
| TCPSocket (EPoll &ePoll)
void | connect (IPAddress &address)
virtual void | output (std::stringstream &out)
Public Member Functions inherited from core::Socket
| Socket (EPoll &ePoll)
void | setDescriptor (int descriptor)
| Set the descriptor for the socket.
int | getDescriptor ()
| Get the descriptor for the socket.
void | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
void | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegistered ()
| Called when the socket has finished registering with the epoll processing. More...
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
void | enable (bool mode)
| Enable the socket to read or write based upon buffer.
Public Member Functions inherited from core::Command
virtual bool | check (std::string request)
void | setName (std::string name)
std::string | getName ()

## Protected Member Functions

Session * | getSocketAccept () override
Protected Member Functions inherited from core::TCPServerSocket
virtual void | init ()
void | onDataReceived (std::string data) override
int | processCommand (std::string command, Session *session) override
Protected Member Functions inherited from core::Socket
void | setBufferSize (int length)
virtual void | onConnected ()
| Called when socket is open and ready to communicate. More...
virtual void | onTLSInit ()
void | shutdown ()
virtual void | receiveData (char *buffer, int bufferLength)

## Additional Inherited Members

Public Attributes inherited from core::TCPServerSocket
std::vector< Session * > | sessions
CommandList | commands
Public Attributes inherited from core::TCPSocket
IPAddress | ipAddress
Public Attributes inherited from core::Socket
class {
} | bufferSize
Public Attributes inherited from core::Object
std::string | name
std::string | tag
Protected Attributes inherited from core::Socket
EPoll & | ePoll
bool | shutDown = false

## Member Function Documentation

## getSocketAccept()

Session * core::ConsoleServer::getSocketAccept | ( |  | ) |

overrideprotectedvirtual

getSocketAccept is designed to allow a polymorphic extension of this object to return a type of object that extends the definition of the server socket. Returning the appropriate session object that extends from BMASession provides the mechanism where the server can select the protocol dialog for the desired service.

Implements core::TCPServerSocket.

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/ConsoleServer.h
- /home/barant/Development/BMA/server_core/ServerCore/ConsoleServer.cpp